org.springframework.web.socket.adapter.standard

## Class StandardToWebSocketExtensionAdapter

- java.lang.Object
- - org.springframework.web.socket.WebSocketExtension
  - - org.springframework.web.socket.adapter.standard.StandardToWebSocketExtensionAdapter

    public class StandardToWebSocketExtensionAdapter
    extends WebSocketExtension

A sub-class of `WebSocketExtension` that can be constructed from an `Extension`.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`StandardToWebSocketExtensionAdapter(Extension extension)`

### Method Summary

### Methods inherited from class org.springframework.web.socket.WebSocketExtension

`equals, getName, getParameters, hashCode, parseExtensions, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StandardToWebSocketExtensionAdapter

    public StandardToWebSocketExtensionAdapter(Extension extension)